libssh: The SSH message functions

libssh 0.9.6 The SSH library

Functions
The SSH message functions
The libssh API

## Functions
ssh_message | ssh_message_pop_head (ssh_session session)
ssh_message | ssh_message_get (ssh_session session)
| Retrieve a SSH message from a SSH session. More...
int | ssh_message_type (ssh_message msg)
| Get the type of the message. More...
int | ssh_message_subtype (ssh_message msg)
| Get the subtype of the message. More...
void | ssh_message_free (ssh_message msg)
| Free a SSH message. More...
| SSH_PACKET_CALLBACK (ssh_packet_service_request)
| SSH_PACKET_CALLBACK (ssh_packet_userauth_request)
| SSH_PACKET_CALLBACK (ssh_packet_userauth_info_response)
| SSH_PACKET_CALLBACK (ssh_packet_channel_open)
int | ssh_message_channel_request_open_reply_accept_channel (ssh_message msg, ssh_channel chan)
ssh_channel | ssh_message_channel_request_open_reply_accept (ssh_message msg)
int | ssh_message_handle_channel_request (ssh_session session, ssh_channel channel, ssh_buffer packet, const char *request, uint8_t want_reply)
int | ssh_message_channel_request_reply_success (ssh_message msg)
| SSH_PACKET_CALLBACK (ssh_packet_global_request)

## Detailed Description

This file contains the message parsing utilities for client and server programs using libssh.

On the server the the main loop of the program will call ssh_message_get(session) to get messages as they come. They are not 1-1 with the protocol messages. Then, the user will know what kind of a message it is and use the appropriate functions to handle it (or use the default handlers if you don't know what to do).

## Function Documentation

## ◆ ssh_message_free()

void ssh_message_free | ( | ssh_message | msg | ) |

Free a SSH message.

Parameters

  [in] | msg | The message to release the memory.

## ◆ ssh_message_get()

ssh_message ssh_message_get | ( | ssh_session | session | ) |

Retrieve a SSH message from a SSH session.

Parameters

  [in] | session | The SSH session to get the message.

Returns
  The SSH message received, NULL in case of error, or timeout elapsed.

Warning
  This function blocks until a message has been received. Betterset up a callback if this behavior is unwanted.

## ◆ ssh_message_subtype()

int ssh_message_subtype | ( | ssh_message | msg | ) |

Get the subtype of the message.

Parameters

  [in] | msg | The message to get the subtype from.

Returns
  The message type or -1 on error.

## ◆ ssh_message_type()

int ssh_message_type | ( | ssh_message | msg | ) |

Get the type of the message.

Parameters

  [in] | msg | The message to get the type from.

Returns
  The message type or -1 on error.